> For the complete documentation index, see [llms.txt](https://docs.locoia.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.locoia.com/account-settings/adding-new-users.md).

# Adding Users

## Adding new users to your company

To add a **new user** to your company, you have to be a [User types](/account-settings/user-types.md#company-admin-accountadmin)\
Go to [**Settings** - **Users**](https://app.locoia.com/#/settings/user) and click **Add**. Then add the user details and click on **Confirm**:

![New User](https://s3.amazonaws.com/cdn.freshdesk.com/data/helpdesk/attachments/production/48089760906/original/h5e-11e1aAM5SbY1qeH_DkWywd0tK9uxYw.png?1614592894)

The User will then receive a temporary password via Email:

![Temporary Password](https://291121471-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F-McrRFZHYH27bqKzOVDd%2Fuploads%2FEDc2UpAK8HvGfrJXrN9f%2Ftemporary_password.png?alt=media\&token=1e6b54ec-b9ef-4e94-b44e-724efa859668)

With the temporary password, the user can log in and has to change their password.

{% hint style="warning" %}
For security reasons, the temporary password expires after 24 hours. If the user has not logged in within that time, please delete the created user and create a new one, so that a new temporary password will be created.
{% endhint %}

## Bulk user creation and uploading

As an admin, you can also upload multiple users in one go. To do this, go to the [Flow Marketplace](https://app.locoia.com/#/flow-marketplace) and choose the **Bulk User creation based on Spreadsheet (XLSX) or CSV** flow copy it. Next, upload the below table example in an XLSX or CSV format under the [File Uploader](https://app.locoia.com/#/settings/file-uploader). It is important that you keep exactly the same headers and don't have any spaces in the header cell.

Give the file the reference name userUploadFile:

| title     | first\_name | last\_name | company\_id | email              | user\_type   | phone        | status |
| --------- | ----------- | ---------- | ----------- | ------------------ | ------------ | ------------ | ------ |
| Developer | Max         | Miller     | uuid4       | <some@email.de>    | user         | +49123456789 | active |
| CTO       | Frank       | Underwood  | uuid4       | <company@email.de> | accountAdmin | +49222456789 | active |

Afterward, check out the example of how variables are passed to the connector and just set up your [Connector Auth](/connectors/authentication/setting-up-authentication.md) for Locoia. Afterward, run the flow and your users are all created in bulk in just a few seconds.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.locoia.com/account-settings/adding-new-users.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
